Bug 179203 - [maintainer update] net/gpxe : Fix checksum mismatch
Summary: [maintainer update] net/gpxe : Fix checksum mismatch
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-02 15:50 UTC by Gürkan Karaman
Modified: 2013-09-02 17:34 UTC (History)
0 users

See Also:


Attachments
file.diff (24 bytes, patch)
2013-06-02 15:50 UTC, Gürkan Karaman
no flags Details | Diff
file.diff (323 bytes, patch)
2013-06-02 15:50 UTC, Gürkan Karaman
no flags Details | Diff
file.diff (442 bytes, patch)
2013-06-02 15:50 UTC, Gürkan Karaman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gürkan Karaman 2013-06-02 15:50:00 UTC
- add two Master sites
- change distinfo file

Fix: PORTNAME=      gpxe
 PORTVERSION=   1.0.1
 PORTREVISION=  1
 CATEGORIES=    net
-MASTER_SITES=  ${MASTER_SITE_KERNEL_ORG}
-MASTER_SITE_SUBDIR=software/utils/boot/gpxe
+MASTER_SITES=  http://etherboot.org/rel/gpxe/ \
+               http://slackware.cs.utah.edu/pub/kernel.org/pub/software/utils/boot/gpxe/

 MAINTAINER=    gk.freebsd@googlemail.com
 COMMENT=       Create an open-source PXE implementation and bootloader

 LICENSE=       GPLv2

-BUILD_DEPENDS= syslinux:${PORTSDIR}/sysutils/syslinux \
-               mkisofs:${PORTSDIR}/sysutils/cdrtools
+BUILD_DEPENDS= syslinux:${PORTSDIR}/sysutils/syslinux

-USE_BZIP2=     yes
 USE_GMAKE=     yes
 USE_PERL5=     yes
+USE_CDRTOOLS=  yes
 WRKSRC=                ${WRKDIR}/${DISTNAME}/src
 MAKE_JOBS_SAFE=        yes

-BROKEN=        checksum mismatch
-
 PLIST_DIRS=    %%DATADIR%%
 PLIST_FILES=   %%DATADIR%%/gpxe.dsk \
                %%DATADIR%%/gpxe.usb \
Comment 1 Raphael Kubo da Costa freebsd_committer 2013-06-22 22:29:29 UTC
Both sites you've set in MASTER_SITES return a tarball with the same
checksum that was previously in distinfo. Are you sure you need to
update that?
Comment 2 Gürkan Karaman 2013-07-10 18:41:56 UTC
I have changed tarball from .tar.bz2 to .tar.gz.

gpxe-1.0.1.tar.bz2


Am 22.06.2013 23:29, schrieb Raphael Kubo da Costa:
> Both sites you've set in MASTER_SITES return a tarball with the same
> checksum that was previously in distinfo. Are you sure you need to
> update that?
Comment 3 William Grzybowski freebsd_committer 2013-09-02 17:34:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 4 William Grzybowski freebsd_committer 2013-09-02 17:34:26 UTC
State Changed
From-To: open->closed

Committed. Thanks!